> ## Documentation Index
> Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the current business wallet balance

> Returns the current business wallet, including balance and funding status used for communication delivery and billing.



## OpenAPI

````yaml /openapi.json get /wallets/me
openapi: 3.0.4
info:
  title: Leadping API
  description: >-
    Leadping API for lead intake, messaging, calling, automations, billing,
    business settings, and compliant lead communication workflows.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: v1
servers:
  - url: https://api.leadping.ai
    description: Production
security: []
tags:
  - name: Analytics
  - name: Automations
  - name: Contact
  - name: Conversations
  - name: Dispositions
  - name: Feedback
  - name: Leads
  - name: LeadStatuses
  - name: Notifications
  - name: OutboundDelivery
  - name: Sources
  - name: Suppressions
  - name: Tags
  - name: Users
  - name: Calls
  - name: PhoneNumbers
  - name: Sms
  - name: Telephony
  - name: UserDataExports
  - name: CallEvents
  - name: Events
  - name: SmsEvents
  - name: Businesses
  - name: PaymentMethods
  - name: Transactions
  - name: Usage
  - name: Wallets
paths:
  /wallets/me:
    get:
      tags:
        - Wallets
      summary: Get the current business wallet balance
      description: >-
        Returns the current business wallet, including balance and funding
        status used for communication delivery and billing.
      operationId: Wallets_GetForCurrentBusiness
      responses:
        '200':
          description: Wallet was successfully retrieved.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/WalletResponse'
                description: >-
                  Response schema for the Leadping API billing wallet response
                  returned to authenticated clients.
        '400':
          description: The request was invalid or malformed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: The current business wallet was not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    WalletResponse:
      type: object
      properties:
        balance:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: Wallet or account balance after this transaction is applied.
          format: double
          nullable: true
        balanceCalculatedAt:
          type: string
          description: UTC timestamp when Leadping last calculated the wallet balance.
          format: date-time
          nullable: true
        amountPurchased:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: Amount of wallet credit purchased in this deposit.
          format: double
          nullable: true
        amountRemaining:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: Amount of wallet credit still available for future usage.
          format: double
          nullable: true
        currency:
          type: string
          description: >-
            ISO currency code used for the monetary amounts in this billing
            wallet response.
          nullable: true
        purchasedAt:
          type: string
          description: UTC timestamp when the wallet credit was purchased.
          format: date-time
          nullable: true
        expiresAt:
          type: string
          description: UTC timestamp when the wallet credit expires.
          format: date-time
          nullable: true
        sourceType:
          enum:
            - purchase
            - promo
            - admin_adjustment
            - refund_adjustment
            - chargeback_reversal
            - compromise_restoration
          type: string
          description: Defines the source that created a wallet credit lot.
          nullable: true
        creditStatus:
          enum:
            - active
            - consumed
            - expired
            - refunded
            - voided
            - disputed
          type: string
          description: Defines the lifecycle state for a wallet credit lot.
          nullable: true
        businessId:
          type: string
          description: Business ID that owns this wallet balance or credit.
          nullable: true
        originalTransactionId:
          type: string
          description: >-
            Original wallet transaction ID referenced by a reversal, refund, or
            adjustment.
          nullable: true
        nextCreditExpirationAt:
          type: string
          description: UTC timestamp when the next wallet credit amount expires.
          format: date-time
          nullable: true
        nextExpiringCreditAmount:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: Amount of wallet credit scheduled to expire next.
          format: double
          nullable: true
        expiredCreditAmount:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: Amount of wallet credit that has expired.
          format: double
          nullable: true
        name:
          type: string
          description: The display name for the entity.
        id:
          type: string
          description: The unique identifier for the entity.
        createdAt:
          type: string
          description: The date and time when the entity was created.
          format: date-time
        modifiedAt:
          type: string
          description: The date and time when the entity was last modified, if applicable.
          format: date-time
          nullable: true
      description: >-
        Response schema for the Leadping API billing wallet response returned to
        authenticated clients.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          description: URI reference that identifies the problem type.
          nullable: true
        title:
          type: string
          description: Short, human-readable summary of the problem.
          nullable: true
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: HTTP status code returned for the problem.
          format: int32
          nullable: true
        detail:
          type: string
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
          nullable: true

````